import request from '@/utils/request.js'
// 新增电子病历模板
export function addEmrTemplate(data) {
    return request({
        url: '/outpatient/electronicCaseTemplate/Add',
        method: 'post',
        data
    })
}
// 修改电子病历模板
export function editEmrTemplate(data) {
    return request({
        url: '/outpatient/electronicCaseTemplate/update',
        method: 'post',
        data
    })
}

// 获取电子病历模板 列表 
export function getEmrTemplateList(data) {
    return request({
        url: '/outpatient/electronicCaseTemplate/listPain?page=' + data.page + '&limit=' + data.limit,
        method: 'post',
        data
    })
}

//电子病历模板删除
export function deleteEmrTemplate(data) {
    return request({
        url: '/outpatient/electronicCaseTemplate/delete?ids=' + data.ids,
        method: 'post',
        data
    })
}

// 获取电子病历详情
export function getTemplateDetail(data) {
    return request({
        url: `/outpatient/electronicCaseTemplate/${data.pid}`,
        method: 'get',

    })
}

// 获取 权限按钮 
export function getSystemBtn(data) {
    return request({
        url: '/outpatient/electronicCaseTemplate/GetButtonRight',
        method: 'post',
        data
    })
}

// 获取电子病历所有数据 (不分页)
export function getTemplateList(data) {
    return request({
        url: '/outpatient/electronicCaseTemplate/getElectronicCaseTemplateList',
        method: 'get',
        params: data
    })
}

// 存储最近使用的 模板信息
export function saveLastTemId(data) {
    return request({
        url: '/outpatient/electronicmedicalrecordMgr/storageTemplateId?templateId=' + data.templateId,
        method: 'post',
        data
    })
}
// 
// 获取最后一次使用的 模板id
export function getLastTemId(data) {
    return request({
        url: '/outpatient/electronicmedicalrecordMgr/getTemplateId',
        method: 'get',
        params: data
    })
}